﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Runtime.InteropServices.ComTypes;
using System.Text;
using System.Threading.Tasks;
using DAL;
using DAL.Repositories;
using Domain;

namespace ConsoleApp
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var ctx = new AppDbContext())
            {
                var personRepository = new PersonRepository(dbContext: ctx);

                foreach (var person in personRepository
                    .GetOrderedRecords(recordLimit: 1))
                {
                    Console.WriteLine(value: $"{person.PersonId} - {person.FirstLastName}");
                    foreach (var personInCourse in person.Courses)
                    {
                        Console.WriteLine(
                            value: $"{personInCourse.PersonInCourseId} {personInCourse.Course.Subject.SubjectName}");
                    }
                }
            }
            Console.Write(value: "Press enter to exit!");
            Console.ReadLine();
        }
    }
}
